2017-11-17 20:51 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003183FSSCPHUDpublic2017-02-22 11:04
Reporterkarajorma 
Assigned Tom_m 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.8 
Target Version3.8Fixed in Version3.8 
Summary0003183: HUD doesn't appear when subsystems are damaged using sabotage-subsystem SEXP.
DescriptionIf the sabotage-subsystem SEXP is used to damage the player's hull, the damage gauge pops up immediately. But if sabotage-subsystem is used on another subsystem the gauge won't appear until the ship also takes some damage.
Steps To ReproduceDownload the mission from

Change +Initial Hull: 99 to +Initial Hull: 100 for Alpha 1. Play the mission and fly into the node.

The unedited version is closer to what should happen as the gauge shows your subsystems taking damage. The edited version doesn't have the gauge pop up until the hull starts taking damage.


TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016868

m_m (developer)

A fix has been submitted here: https://github.com/scp-fs2open/fs2open.github.com/pull/1234

~0016869

m_m (developer)

Fix has been merged into master.
+Notes

-Issue History
Date Modified Username Field Change
2016-09-16 01:37 karajorma New Issue
2017-02-15 14:07 m_m Assigned To => m_m
2017-02-15 14:07 m_m Status new => code review
2017-02-15 14:07 m_m Note Added: 0016868
2017-02-22 11:04 m_m Status code review => resolved
2017-02-22 11:04 m_m Resolution open => fixed
2017-02-22 11:04 m_m Fixed in Version => 3.8
2017-02-22 11:04 m_m Note Added: 0016869
+Issue History